<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
( function($) {
	function toggleCustomStyle() {
		var styleOptions = $( '.<?php echo self::$branding; ?>_form_styling_options' );
		if ( $( '#<?php echo self::$branding; ?>_form_styling' ).prop( 'checked' ) ) {
			$( ':input', styleOptions ).removeAttr( 'disabled' );
			styleOptions.show();
		} else {
			styleOptions.hide();
			$( ':input', styleOptions ).attr( 'disabled', true );
		}
	}

	function toggleBorder() {
		var borderOptions = $( '.<?php echo self::$branding; ?>_form_border_options' );
		if ( $( '#<?php echo self::$branding; ?>_form_border' ).prop( 'checked' ) ) {
			$( ':input', borderOptions ).removeAttr( 'disabled' );
			borderOptions.show();
		} else {
			borderOptions.hide();
			$( ':input', borderOptions ).attr( 'disabled', true );
		}
	}

	function toggleType() {
		if ( $( '#<?php echo self::$branding; ?>_form_type' ).val() === 'Modal' ) {
			$( '.<?php echo self::$branding; ?>_modal_options' ).show();
			toggleTrigger();
		} else {
			$( '.<?php echo self::$branding; ?>_modal_options, .<?php echo self::$branding; ?>_form_trigger_delay' ).hide();
		}
	}

	function toggleTrigger() {
		if ( $( '#<?php echo self::$branding; ?>_form_trigger' ).val() === 'delayed' ) {
			$( '.<?php echo self::$branding; ?>_form_trigger_delay' ).show();
		} else {
			$( '.<?php echo self::$branding; ?>_form_trigger_delay' ).hide();
		}
	}

	$( function() {
		$( '.<?php echo self::$branding; ?>_form_border_color, .<?php echo self::$branding; ?>_form_background_color, .<?php echo self::$branding; ?>_form_text_color' ).wpColorPicker();

		$( document.body ).on( 'change', '#<?php echo self::$branding; ?>_form_type', toggleType );
		$( document.body ).on( 'change', '#<?php echo self::$branding; ?>_form_trigger', toggleTrigger );
		$( document.body ).on( 'change', '#<?php echo self::$branding; ?>_form_styling', toggleCustomStyle );
		$( document.body ).on( 'change', '#<?php echo self::$branding; ?>_form_border', toggleBorder );
		toggleType();
		toggleTrigger();
		toggleCustomStyle();
		toggleBorder();
	} );
} )( jQuery );
