<?php

/*
 * Plugin Name: FireDrum Email Marketing
 * Plugin URI: https://firedrumemailmarketing.com/
 * Description: The FireDrum Email Marketing plugin allows you to quickly and easily add email opt-in forms to your website.
 * Version: 1.50
 * Author: FireDrum Email Marketing
 * Author URI: https://firedrumemailmarketing.com/
 */

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

// Core Classes
require_once ( 'api.class.php' );
require_once ( 'widget.class.php' );
require_once ( 'plugin.class.php' );

// Integration Classes
require_once ( 'integrations/divi/divi.class.php' );
require_once ( 'integrations/woocommerce/woocommerce.class.php' );

// Initialize
Email_Marketing_Plugin::instantiate( $wpdb );
