<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

if ( $form_options['styling '] == 'Y ' ) {
?>
<style type="text/css">
	.<?php echo self::$branding; ?>_signup_form_<?php echo $form_id; ?> {
		padding: 5px;<?php
	if ($form_options['border'] == 'Y') {
?>
		border-width : 2px;
		border-style: solid;
		border-color: <?php echo $form_options['border_color']; ?>;<?php
	}
?>
		color: <?php echo $form_options['text_color']; ?>;
		background-color: <?php echo $form_options['background_color']; ?>;
		font-size: <?php echo $form_options['text_size'] == '' ? '12px' : $form_options['text_size'] . ( is_numeric( $form_options['text_size'] ) ? 'px' : '' ); ?>;
		font-family: <?php echo $form_options['text_font']; ?>;
	}
</style><?php
}
?>
<div class="<?php echo self::$branding; ?>_signup">
	<form method="POST" action="" class="<?php echo self::$branding; ?>_signup_form <?php echo self::$branding; ?>_signup_form_<?php echo $form_id; ?>">
		<input type="hidden" name="form_id" value="<?php echo $form_id; ?>">
		<input type="hidden" name="action" value="<?php echo self::$branding; ?>_form_submit"><?php
if ( $form_options['honeypot'] != '' ) {
?>
		<span style="display:none;visibility:hidden">
			<?php esc_html_e( 'Please ignore this text box. It is used to detect spammers. If you enter anything into this text box, your message will not be sent.', self::$textdomain ); ?>
			<input type="text" name="are_you_human_54" size="1" value="">
		</span><?php
}

if ( $atts['show_header'] === true ) {
	$header = trim( $form_options['header_content'] );
	if ( !empty( $header ) ) {
		// See if we need to wrap the header content in our own div
		$needs_wrap = strlen( $header ) == strlen( strip_tags( $header ) );

		if ( !empty( $atts['before_title'] ) ) {
			echo $atts['before_title'];
		} else if ( $needs_wrap ) {
?>
		<div class="<?php echo self::$branding; ?>_custom_border_hdr"><?php
		}
		 // Don't escape the header because it may contain HTML markup!
		echo $header;

		if ( !empty( $atts['after_title'] ) ) {
			echo $atts['after_title'];
		} else if ( $needs_wrap ) {
?>
		</div><?php
		}
	}

	$sub_header = trim( $form_options['subheader_content'] );
	if ( !empty( $sub_header ) ) {
?>
		<div class="<?php echo self::$branding; ?>_subheader"><?php echo $sub_header; ?></div><?php
	}
}
?>
		<div class="<?php echo self::$branding; ?>_form_inside">
			<div class="<?php echo self::$branding; ?>_message" id="<?php echo self::$branding; ?>_message"><?php echo ( isset( $_GET[self::$branding . '-m'] ) ? base64_decode( $_GET[self::$branding . '-m'] ) : '' ); ?></div>

			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="email"><?php esc_html_e( 'Email Address', self::$textdomain ); ?><span class="<?php echo self::$branding; ?>_required">*</span></label>
				<input name="email" id="email" type="text" size="25" maxlength="64" class="<?php echo self::$branding; ?>_input">
			</div><?php
if ( $form_options['field_fname'] != '' ) {
					?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="efname"><?php esc_html_e( 'First Name', self::$textdomain ); ?></label>
				<input name="fname" type="text" size="25" maxlength="64">
			</div><?php
}
if ( $form_options['field_lname'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="elname"><?php esc_html_e( 'Last Name', self::$textdomain ); ?></label>
				<input name="lname" type="text" size="25" maxlength="64">
			</div><?php
}
if ( $form_options['field_company'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="company"><?php esc_html_e( 'Company', self::$textdomain ); ?></label>
				<input name="company" id="company" type="text" size="25" maxlength="255">
			</div><?php
}
if ( $form_options['field_address'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="address"><?php esc_html_e( 'Address', self::$textdomain ); ?></label>
				<input name="address" id="address" type="text" size="25" maxlength="255">
			</div><?php
}
if ( $form_options['field_address2'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="address2"><?php esc_html_e( 'Address 2', self::$textdomain ); ?></label>
				<input name="address2" id="address2" type="text" size="25" maxlength="64">
			</div><?php
}
if ( $form_options['field_city'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="city"><?php esc_html_e( 'City', self::$textdomain ); ?></label>
				<input name="city" id="city" type="text" size="25" maxlength="64">
			</div><?php
}
if ( $form_options['field_state'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="state"><?php esc_html_e( 'State', self::$textdomain ); ?></label>
				<select name="state" id="state">
					<option value=""><?php esc_html_e( '-', self::$textdomain ); ?></option>
					<option value="Alabama"><?php esc_html_e( 'Alabama', self::$textdomain ); ?></option>
					<option value="Alaska"><?php esc_html_e( 'Alaska', self::$textdomain ); ?></option>
					<option value="Alberta"><?php esc_html_e( 'Alberta', self::$textdomain ); ?></option>
					<option value="American Samoa"><?php esc_html_e( 'American Samoa', self::$textdomain ); ?></option>
					<option value="Arizona"><?php esc_html_e( 'Arizona', self::$textdomain ); ?></option>
					<option value="Arkansas"><?php esc_html_e( 'Arkansas', self::$textdomain ); ?></option>
					<option value="British Columbia"><?php esc_html_e( 'British Columbia', self::$textdomain ); ?></option>
					<option value="California"><?php esc_html_e( 'California', self::$textdomain ); ?></option>
					<option value="Colorado"><?php esc_html_e( 'Colorado', self::$textdomain ); ?></option>
					<option value="Connecticut"><?php esc_html_e( 'Connecticut', self::$textdomain ); ?></option>
					<option value="Delaware"><?php esc_html_e( 'Delaware', self::$textdomain ); ?></option>
					<option value="District of Columbia"><?php esc_html_e( 'District of Columbia', self::$textdomain ); ?></option>
					<option value="Florida"><?php esc_html_e( 'Florida', self::$textdomain ); ?></option>
					<option value="Georgia"><?php esc_html_e( 'Georgia', self::$textdomain ); ?></option>
					<option value="Guam"><?php esc_html_e( 'Guam', self::$textdomain ); ?></option>
					<option value="Hawaii"><?php esc_html_e( 'Hawaii', self::$textdomain ); ?></option>
					<option value="Idaho"><?php esc_html_e( 'Idaho', self::$textdomain ); ?></option>
					<option value="Illinois"><?php esc_html_e( 'Illinois', self::$textdomain ); ?></option>
					<option value="Indiana"><?php esc_html_e( 'Indiana', self::$textdomain ); ?></option>
					<option value="Iowa"><?php esc_html_e( 'Iowa', self::$textdomain ); ?></option>
					<option value="Kansas"><?php esc_html_e( 'Kansas', self::$textdomain ); ?></option>
					<option value="Kentucky"><?php esc_html_e( 'Kentucky', self::$textdomain ); ?></option>
					<option value="Louisiana"><?php esc_html_e( 'Louisiana', self::$textdomain ); ?></option>
					<option value="Maine"><?php esc_html_e( 'Maine', self::$textdomain ); ?></option>
					<option value="Manitoba"><?php esc_html_e( 'Manitoba', self::$textdomain ); ?></option>
					<option value="Maryland"><?php esc_html_e( 'Maryland', self::$textdomain ); ?></option>
					<option value="Massachusetts"><?php esc_html_e( 'Massachusetts', self::$textdomain ); ?></option>
					<option value="Michigan"><?php esc_html_e( 'Michigan', self::$textdomain ); ?></option>
					<option value="Minnesota"><?php esc_html_e( 'Minnesota', self::$textdomain ); ?></option>
					<option value="Mississippi"><?php esc_html_e( 'Mississippi', self::$textdomain ); ?></option>
					<option value="Missouri"><?php esc_html_e( 'Missouri', self::$textdomain ); ?></option>
					<option value="Montana"><?php esc_html_e( 'Montana', self::$textdomain ); ?></option>
					<option value="Nebraska"><?php esc_html_e( 'Nebraska', self::$textdomain ); ?></option>
					<option value="Nevada"><?php esc_html_e( 'Nevada', self::$textdomain ); ?></option>
					<option value="New Brunswick"><?php esc_html_e( 'New Brunswick', self::$textdomain ); ?></option>
					<option value="New Hampshire"><?php esc_html_e( 'New Hampshire', self::$textdomain ); ?></option>
					<option value="New Jersey"><?php esc_html_e( 'New Jersey', self::$textdomain ); ?></option>
					<option value="New Mexico"><?php esc_html_e( 'New Mexico', self::$textdomain ); ?></option>
					<option value="New York"><?php esc_html_e( 'New York', self::$textdomain ); ?></option>
					<option value="Newfoundland"><?php esc_html_e( 'Newfoundland', self::$textdomain ); ?></option>
					<option value="North Carolina"><?php esc_html_e( 'North Carolina', self::$textdomain ); ?></option>
					<option value="North Dakota"><?php esc_html_e( 'North Dakota', self::$textdomain ); ?></option>
					<option value="Northern Mariana Islands"><?php esc_html_e( 'Northern Mariana Islands', self::$textdomain ); ?></option>
					<option value="North West Territory"><?php esc_html_e( 'North West Territory', self::$textdomain ); ?></option>
					<option value="Nova Scotia"><?php esc_html_e( 'Nova Scotia', self::$textdomain ); ?></option>
					<option value="Ohio"><?php esc_html_e( 'Ohio', self::$textdomain ); ?></option>
					<option value="Oklahoma"><?php esc_html_e( 'Oklahoma', self::$textdomain ); ?></option>
					<option value="Ontario"><?php esc_html_e( 'Ontario', self::$textdomain ); ?></option>
					<option value="Oregon"><?php esc_html_e( 'Oregon', self::$textdomain ); ?></option>
					<option value="Pennsylvania"><?php esc_html_e( 'Pennsylvania', self::$textdomain ); ?></option>
					<option value="Puerto Rico"><?php esc_html_e( 'Puerto Rico', self::$textdomain ); ?></option>
					<option value="Quebec"><?php esc_html_e( 'Quebec', self::$textdomain ); ?></option>
					<option value="Rhode Island"><?php esc_html_e( 'Rhode Island', self::$textdomain ); ?></option>
					<option value="Saskatchewan"><?php esc_html_e( 'Saskatchewan', self::$textdomain ); ?></option>
					<option value="South Carolina"><?php esc_html_e( 'South Carolina', self::$textdomain ); ?></option>
					<option value="South Dakota"><?php esc_html_e( 'South Dakota', self::$textdomain ); ?></option>
					<option value="Tennessee"><?php esc_html_e( 'Tennessee', self::$textdomain ); ?></option>
					<option value="Texas"><?php esc_html_e( 'Texas', self::$textdomain ); ?></option>
					<option value="Trust Territories"><?php esc_html_e( 'Trust Territories', self::$textdomain ); ?></option>
					<option value="Utah"><?php esc_html_e( 'Utah', self::$textdomain ); ?></option>
					<option value="Vermont"><?php esc_html_e( 'Vermont', self::$textdomain ); ?></option>
					<option value="Virgin Islands"><?php esc_html_e( 'Virgin Islands', self::$textdomain ); ?></option>
					<option value="Virginia"><?php esc_html_e( 'Virginia', self::$textdomain ); ?></option>
					<option value="Washington"><?php esc_html_e( 'Washington', self::$textdomain ); ?></option>
					<option value="West Virginia"><?php esc_html_e( 'West Virginia', self::$textdomain ); ?></option>
					<option value="Wisconsin"><?php esc_html_e( 'Wisconsin', self::$textdomain ); ?></option>
					<option value="Wyoming"><?php esc_html_e( 'Wyoming', self::$textdomain ); ?></option>
					<option value="Yukon"><?php esc_html_e( 'Yukon', self::$textdomain ); ?></option>
					<option value="Other"><?php esc_html_e( 'Other', self::$textdomain ); ?></option>
				</select>
			</div><?php
}
if ( $form_options['field_zip'] != '' ) {
?>
				<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="zip"><?php esc_html_e( 'Postal Code', self::$textdomain ); ?></label> <input name="zip"
					id="zip" type="text" size="10" maxlength="64">
			</div><?php
}
if ( $form_options['field_phone'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="phone"><?php esc_html_e( 'Phone', self::$textdomain ); ?></label> <input
					name="phone" id="phone" type="text" size="10" maxlength="64">
			</div><?php
}
if ( $form_options['field_mphone'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="mphone"><?php esc_html_e( 'Mobile', self::$textdomain ); ?></label> <input
					name="mphone" id="mphone" type="text" size="10" maxlength="64">
			</div><?php
}
if ( $form_options['field_fax'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="fax"><?php esc_html_e( 'Fax', self::$textdomain ); ?></label> <input name="fax"
					id="fax" type="text" size="10" maxlength="64">
			</div><?php
}
if ( $form_options['field_gender'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="gender"><?php esc_html_e( 'Gender', self::$textdomain ); ?></label> <select
					name="gender" id="gender">
					<option value=""><?php esc_html_e( '-', self::$textdomain ); ?></option>
					<option value="male"><?php esc_html_e( 'Male', self::$textdomain ); ?></option>
					<option value="female"><?php esc_html_e( 'Female', self::$textdomain ); ?></option>
				</select>
			</div><?php
}
if ( $form_options['field_bday'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="bdaymonth"><?php esc_html_e( 'Birthday', self::$textdomain ); ?></label>
				<select name="bdaymonth">
					<option selected value=""><?php esc_html_e( 'Month', self::$textdomain ); ?></option>
					<option value="01"><?php esc_html_e( 'January', self::$textdomain ); ?></option>
					<option value="02"><?php esc_html_e( 'February', self::$textdomain ); ?></option>
					<option value="03"><?php esc_html_e( 'March', self::$textdomain ); ?></option>
					<option value="04"><?php esc_html_e( 'April', self::$textdomain ); ?></option>
					<option value="05"><?php esc_html_e( 'May', self::$textdomain ); ?></option>
					<option value="06"><?php esc_html_e( 'June', self::$textdomain ); ?></option>
					<option value="07"><?php esc_html_e( 'July', self::$textdomain ); ?></option>
					<option value="08"><?php esc_html_e( 'August', self::$textdomain ); ?></option>
					<option value="09"><?php esc_html_e( 'September', self::$textdomain ); ?></option>
					<option value="10"><?php esc_html_e( 'October', self::$textdomain ); ?></option>
					<option value="11"><?php esc_html_e( 'November', self::$textdomain ); ?></option>
					<option value="12"><?php esc_html_e( 'December', self::$textdomain ); ?></option>
				</select>
				<select name="bdayday">
					<option selected value=""><?php esc_html_e( 'Day', self::$textdomain ); ?></option>
					<option value="01">01</option>
					<option value="02">02</option>
					<option value="03">03</option>
					<option value="04">04</option>
					<option value="05">05</option>
					<option value="06">06</option>
					<option value="07">07</option>
					<option value="08">08</option>
					<option value="09">09</option>
					<option value="10">10</option>
					<option value="11">11</option>
					<option value="12">12</option>
					<option value="13">13</option>
					<option value="14">14</option>
					<option value="15">15</option>
					<option value="16">16</option>
					<option value="17">17</option>
					<option value="18">18</option>
					<option value="19">19</option>
					<option value="20">20</option>
					<option value="21">21</option>
					<option value="22">22</option>
					<option value="23">23</option>
					<option value="24">24</option>
					<option value="25">25</option>
					<option value="26">26</option>
					<option value="27">27</option>
					<option value="28">28</option>
					<option value="29">29</option>
					<option value="30">30</option>
					<option value="31">31</option>
				</select>
			</div><?php
}
if ( $form_options['field_annv'] != '' ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="annvmonth"><?php esc_html_e( 'Anniversary', self::$textdomain ); ?></label>
				<select name="annvmonth" id="annvmonth">
					<option selected value=""><?php esc_html_e( 'Month', self::$textdomain ); ?></option>
					<option value="01"><?php esc_html_e( 'January', self::$textdomain ); ?></option>
					<option value="02"><?php esc_html_e( 'February', self::$textdomain ); ?></option>
					<option value="03"><?php esc_html_e( 'March', self::$textdomain ); ?></option>
					<option value="04"><?php esc_html_e( 'April', self::$textdomain ); ?></option>
					<option value="05"><?php esc_html_e( 'May', self::$textdomain ); ?></option>
					<option value="06"><?php esc_html_e( 'June', self::$textdomain ); ?></option>
					<option value="07"><?php esc_html_e( 'July', self::$textdomain ); ?></option>
					<option value="08"><?php esc_html_e( 'August', self::$textdomain ); ?></option>
					<option value="09"><?php esc_html_e( 'September', self::$textdomain ); ?></option>
					<option value="10"><?php esc_html_e( 'October', self::$textdomain ); ?></option>
					<option value="11"><?php esc_html_e( 'November', self::$textdomain ); ?></option>
					<option value="12"><?php esc_html_e( 'December', self::$textdomain ); ?></option>
				</select>
				<select name="annvday">
					<option selected value=""><?php esc_html_e( 'Day', self::$textdomain ); ?></option>
					<option value="01">01</option>
					<option value="02">02</option>
					<option value="03">03</option>
					<option value="04">04</option>
					<option value="05">05</option>
					<option value="06">06</option>
					<option value="07">07</option>
					<option value="08">08</option>
					<option value="09">09</option>
					<option value="10">10</option>
					<option value="11">11</option>
					<option value="12">12</option>
					<option value="13">13</option>
					<option value="14">14</option>
					<option value="15">15</option>
					<option value="16">16</option>
					<option value="17">17</option>
					<option value="18">18</option>
					<option value="19">19</option>
					<option value="20">20</option>
					<option value="21">21</option>
					<option value="22">22</option>
					<option value="23">23</option>
					<option value="24">24</option>
					<option value="25">25</option>
					<option value="26">26</option>
					<option value="27">27</option>
					<option value="28">28</option>
					<option value="29">29</option>
					<option value="30">30</option>
					<option value="31">31</option>
				</select>
			</div><?php
}

$custom_fields = $this->api->get_custom_fields_from_api();
if ( is_array( $custom_fields['customFields'] ) ) {
	foreach ( $custom_fields['customFields'] as $custom_field ) {
		if ( in_array( $custom_field['id'], $form_options['custom_fields'] ) ) {
?>
			<div class="<?php echo self::$branding; ?>_merge_var">
				<label class="<?php echo self::$branding; ?>_var_label" for="cust#_<?php echo $custom_field['id']; ?>"><?php echo $custom_field['name']; ?></label><?php
			if ( $custom_field['dataType'] !== 'date' ) {
?>
				<input type="text" size="25" maxlength="64" name="cust#_<?php echo $custom_field['id']; ?>"><?php
			} else {
?>
				<select name="custmonth#_<?php echo str_replace( " ", "_", $custom_field['name'] ); ?>">
					<option selected value=""><?php esc_html_e( 'Month', self::$textdomain ); ?></option>
					<option value="01"><?php esc_html_e( 'January', self::$textdomain ); ?></option>
					<option value="02"><?php esc_html_e( 'February', self::$textdomain ); ?></option>
					<option value="03"><?php esc_html_e( 'March', self::$textdomain ); ?></option>
					<option value="04"><?php esc_html_e( 'April', self::$textdomain ); ?></option>
					<option value="05"><?php esc_html_e( 'May', self::$textdomain ); ?></option>
					<option value="06"><?php esc_html_e( 'June', self::$textdomain ); ?></option>
					<option value="07"><?php esc_html_e( 'July', self::$textdomain ); ?></option>
					<option value="08"><?php esc_html_e( 'August', self::$textdomain ); ?></option>
					<option value="09"><?php esc_html_e( 'September', self::$textdomain ); ?></option>
					<option value="10"><?php esc_html_e( 'October', self::$textdomain ); ?></option>
					<option value="11"><?php esc_html_e( 'November', self::$textdomain ); ?></option>
					<option value="12"><?php esc_html_e( 'December', self::$textdomain ); ?></option>
				</select>
				<select name="custday#_<?php echo str_replace( " ", "_", $custom_field['name'] ); ?>">
					<option selected value=""><?php esc_html_e( 'Day', self::$textdomain ); ?></option>
					<option value="01">01</option>
					<option value="02">02</option>
					<option value="03">03</option>
					<option value="04">04</option>
					<option value="05">05</option>
					<option value="06">06</option>
					<option value="07">07</option>
					<option value="08">08</option>
					<option value="09">09</option>
					<option value="10">10</option>
					<option value="11">11</option>
					<option value="12">12</option>
					<option value="13">13</option>
					<option value="14">14</option>
					<option value="15">15</option>
					<option value="16">16</option>
					<option value="17">17</option>
					<option value="18">18</option>
					<option value="19">19</option>
					<option value="20">20</option>
					<option value="21">21</option>
					<option value="22">22</option>
					<option value="23">23</option>
					<option value="24">24</option>
					<option value="25">25</option>
					<option value="26">26</option>
					<option value="27">27</option>
					<option value="28">28</option>
					<option value="29">29</option>
					<option value="30">30</option>
					<option value="31">31</option>
				</select><?php
			}
?>
			</div><?php
		}
	}
}

$categories = $this->api->get_categories_from_api();
if ( isset( $categories['categories'] ) && is_array( $categories['categories'] ) ) {
	if ( $form_options['lists_use_checkboxes'] !== 'N' ) {
?>
			<div class="interestFields">
				<h3><?php esc_html_e( 'Interests', self::$textdomain ); ?></h3><?php
		foreach ( $categories['categories'] as $category ) {
			if ( in_array( $category['id'], $form_options['lists'] ) ) {
?>
				<input type="checkbox" name="interests[]" value="<?php echo $category['id']; ?>">
				<span class="catName"><?php echo $category['name']; ?></span><?php
			}
		}
?>
			</div><?php
	} else {
		foreach ( $categories['categories'] as $category ) {
			if ( in_array( $category['id'], $form_options['lists'] ) ) {
?>
			<input type="hidden" name="interests[]" value="<?php echo $category['id']; ?>"><?php
			}
		}
	}
}
?>
			<div class="<?php echo self::$branding; ?>_signup_submit">
				<input type="submit" name="<?php echo self::$branding; ?>_signup_submit" value="<?php echo ( $form_options['submit_text'] != '' ? $form_options['submit_text'] : 'Submit' ); ?>"><?php
if ( $form_options['poweredby'] === 'Y' ) {
?>
				<div class="poweredby" style="text-align: center; font-size: 12px; margin-top: 8px;"><?php esc_html_e( 'powered by', self::$textdomain ); ?> <a href="https://<?php echo self::$branding_domain; ?>/" target="_blank"><?php echo self::$menu_branding; ?></a></div><?php
}
?>
			</div>
		</div>
	</form>
</div>
