<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
<div class="wrap">
	<nav class="nav-tab-wrapper">
		<a href="admin.php?page=<?php echo $this->plugin->get_branding(); ?>-wc" class="nav-tab <?php echo !isset( $_GET['tab'] ) ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( Email_Marketing_Plugin::get_menu_branding() . ' Setup', Email_Marketing_Plugin::get_textdomain() ); ?></a>
		<a href="admin.php?page=<?php echo $this->plugin->get_branding(); ?>-wc&amp;tab=checkout-opt-in" class="nav-tab <?php echo isset( $_GET['tab'] ) && $_GET['tab'] === 'checkout-opt-in' ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'Checkout Opt-in', Email_Marketing_Plugin::get_textdomain() ); ?></a>
		<a href="admin.php?page=<?php echo $this->plugin->get_branding(); ?>-wc&amp;tab=abandoned-cart-emails" class="nav-tab <?php echo isset( $_GET['tab'] ) && $_GET['tab'] === 'abandoned-cart-emails' ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'Abandoned Cart Emails', Email_Marketing_Plugin::get_textdomain() ); ?></a>
	</nav><?php
if ( !isset( $_GET['tab'] ) ) {
	$this->plugin->render_setup_page( '', false );
} else if ( $_GET['tab'] === 'checkout-opt-in' ) {
	$checkout_optin_enabled = get_option( Email_Marketing_Plugin::get_branding() . '_wc_checkout_optin_enabled', '1' );
?>
	<h1 class="screen-reader-text"><?php esc_html_e( 'Checkout Opt-in', Email_Marketing_Plugin::get_textdomain() ); ?></h1><?
	settings_errors();
?>
	
	<form method="post" action="options.php"><?php
settings_fields( Email_Marketing_Plugin::get_branding() . '_wc_checkout_optin_settings' );
do_settings_sections( Email_Marketing_Plugin::get_branding() . '_wc_checkout_optin_settings' );
submit_button( __( 'Save Checkout Opt-in Settings', Email_Marketing_Plugin::get_textdomain() ) );
?>
	</form><?php
} else if ( $_GET['tab'] === 'abandoned-cart-emails' ) {
	$abandoned_cart_emails_enabled = get_option( Email_Marketing_Plugin::get_branding() . '_wc_abandoned_cart_emails_enabled', '1' );
?>
	<h1 class="screen-reader-text"><?php esc_html_e( 'Abandoned Cart Emails', Email_Marketing_Plugin::get_textdomain() ); ?></h1><?
	settings_errors();
?>
	
	<form method="post" action="options.php"><?php
settings_fields( Email_Marketing_Plugin::get_branding() . '_wc_abandoned_cart_emails_settings' );
do_settings_sections( Email_Marketing_Plugin::get_branding() . '_wc_abandoned_cart_emails_settings' );
submit_button( __( 'Save Abandoned Cart Emails Settings', Email_Marketing_Plugin::get_textdomain() ) );
?>
	</form><?php
}
?>
</div>
