<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
<p>
	<label for="<?php echo esc_attr( $this->get_field_id( 'id' ) ); ?>"><?php esc_attr_e( 'Form:', Email_Marketing_Plugin::get_textdomain() ); ?></label> 
	<select class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'id' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'id' ) ); ?>"><?php
foreach( $forms as $form ) {
?>
		<option value="<?php echo $form->ID; ?>"<?php echo $form_id === (string) $form->ID ? ' selected' : ''; ?>><?php echo esc_html( $form->post_title ); ?></option><?php
}
?>
	</select>
</p>
